Update Dataset Config

Update configuration for a dataset in the dataset_config JSONB column. Returns 204 No Content if no changes were made.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataset_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
embedding_idmap from strings to strings or nullOptional
Mapping of modality to embedding UUID.
encoder_namemap from strings to strings or nullOptional
Mapping of modality to encoder name.
metadata_fields_to_embedlist of strings or nullOptional
metadata_fields_to_indexlist of strings or nullOptional
new_video_data_modelboolean or nullOptional
celebrity_detection_enabledboolean or nullOptional
context_studio_enabledboolean or nullOptional
agentic_search_metadata_descriptionmap from strings to nullable strings or nullOptional

Per-key descriptions of metadata fields. String value adds or overwrites; null value deletes that key (no-op if absent).

asset_identifier_keystring or nullOptional
The metadata field name that uniquely identifies each asset in the dataset.
context_studio_export_json_connection_namestring or nullOptional

The name of the connection required for external s3 export. (this is related to context_studio feature).

Response

Successful Response
dataset_idstringformat: "uuid"
embedding_idmap from strings to strings or null
encoder_namemap from strings to strings or null
metadata_fields_to_embedlist of strings or null
metadata_fields_to_indexlist of strings or null
new_video_data_modelboolean or null
celebrity_detection_enabledboolean or nullDefaults to false
context_studio_enabledboolean or nullDefaults to false
agentic_search_metadata_descriptionmap from strings to strings or null
asset_identifier_keystring or null

Errors

422
Unprocessable Entity Error